PHP ITAUCRIPTO Itau Bankline
==============

Verso em PHP da classe Itaucripto, originalmente escrita em Java baseado em gabrielrcouto/php-itaucripto.

O nome dos mtodos foi mantido seguindo o padro Java, apenas para evitar confuses.

Nessa classe apenas implementamos o uso pelo Composer e uso de excesses em caso de erro nos dados.

Como a classe em Java foi descompilada, alguns nomes se tornaram nomes genricos (ex: $paramString1, $paramString2).

Instalao
==============
```php
composer require dilneiss/itaubankline
```

Como Usar
==============

Aps o cliente preencher os dados, criptografe eles utilizando o seguinte cdigo:

```php
  $cripto = new ItauCripto();
  
  //Coloque o cdigo da empresa em MAISCULO
  $codEmp = "J1234567890123456789012345";
  //Coloque a chave de criptografia em MAISCULO
  $chave = "ABCD123456ABCD12";
  
  //Preencha as variveis abaixo com os dados do cliente e da cobrana
  //Abaixo  s um exemplo!
  $pedido = "1234";
  $valor = "150,00";
  $observacao = "";
  $nomeSacado = "Jos Pereira";
  $codigoInscricao = "";
  $numeroInscricao = "";
  $enderecoSacado = "";
  $bairroSacado = "";
  $cepSacado = "";
  $cidadeSacado = "";
  $estadoSacado = "";
  $dataVencimento = "";
  $urlRetorna = "";
  $obsAd1 = "";
  $obsAd2 = "";
  $obsAd3 = "";
  
	try {
	  $dados_criptografados = $cripto->geraDados($codEmp,$pedido,$valor,$observacao,$chave,$nomeSacado,
	      $codigoInscricao,$numeroInscricao,$enderecoSacado,$bairroSacado,$cepSacado,$cidadeSacado,$estadoSacado,
	      $dataVencimento,$urlRetorna,$obsAd1,$obsAd2,$obsAd3);
	} catch (Exception $e) {
		exit($e->getMessage());
	}
  
```

Caso queira redirecionar o cliente para a tela do Itau Bankline e selecionar a opo de pagamento desejada, utilize a url abaixo.
```php
	$url = "https://shopline.itau.com.br/shopline/shopline.aspx?DC=$dados_criptografados";
```

Para gerar o boleto diretamente sem acessar a tela do Itau Bankline, utilize a url abaixo.
```php
	$url = "https://shopline.itau.com.br/shopline/Itaubloqueto.asp?DC=$dados_criptografados";
```

Para criptografar os dados para consulta do status do pedido, criptografe os dados do pedido usando o seguinte cdigo.
```php
	$metodoResultado = 1; //0 Para exibir a consulta em html legvel e 1 para exibir a consulta em xml
	$dadosCriptografados = $itauCripto->geraConsulta($codEmp , $pedido , $metodoResultado , $chave);
```

Para exibir o resultado da consulta do status do pedido, utilize a url abaixo.
```php
	$url = "https://shopline.itau.com.br/shopline/consulta.aspx?DC=$dados_criptografados";
```


Campos
==============

```php
  $pedido // Identificao do pedido - mximo de 8 dgitos (12345678) - Obrigatrio  
  $valor // Valor do pedido - mximo de 8 dgitos + vrgula + 2 dgitos - 99999999,99 - Obrigatrio  
  $observacao // Observaes - mximo de 40 caracteres  
  $nomeSacado // Nome do sacado - mximo de 30 caracteres  
  $codigoInscricao // Cdigo de Inscrio: 01->CPF, 02->CNPJ  
  $numeroInscricao // Nmero de Inscrio: CPF ou CNPJ - at 14 caracteres  
  $enderecoSacado // Endereco do Sacado - mximo de 40 caracteres  
  $bairroSacado // Bairro do Sacado - mximo de 15 caracteres  
  $cepSacado // Cep do Sacado - mximo de 8 dgitos  
  $cidadeSacado // Cidade do sacado - mximo 15 caracteres  
  $estadoSacado // Estado do Sacado - 2 caracteres  
  $dataVencimento // Vencimento do ttulo - 8 dgitos - ddmmaaaa  
  $urlRetorna // URL do retorno - mximo de 60 caracteres  
  $obsAdicional1 // ObsAdicional1 - mximo de 60 caracteres  
  $obsAdicional2 // ObsAdicional2 - mximo de 60 caracteres  
  $obsAdicional3 // ObsAdicional3 - mximo de 60 caracteres
```

Author
==============

[@dilneiss88](http://twitter.com/dilneiss88)

Licena
==============

[MIT License](http://zenorocha.mit-license.org/)
